Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158883 - Annoying i2o_config kernel module messages during raidutil run
Summary: Annoying i2o_config kernel module messages during raidutil run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-26 15:34 UTC by Kirill Pushkin
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:18:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Kirill Pushkin 2005-05-26 15:34:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
When I run 'raidutil -d0 -Lall' on machine with Adaptec 2010S RAID controller (supported by i2o_block module) there are a lot of annoying messages in /var/log/messages:
May 26 19:22:43 mnt kernel: sg_offset
May 26 19:22:43 mnt kernel: reply_size
(repeats about 2500 times)

Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-5.0.5.EL

How reproducible:
Always

Steps to Reproduce:
1. modprobe i2o_config
2. mknod /dev/i2o/ctl c 10 166
3. rpm -i http://i2o.shadowconnect.com/raidutils/raidutils-0.0.6-1.i386.rpm
4. raidutil -d0 -Lall
5. tail /var/log/messages

Actual Results:  A lot of messages in /var/log/messages:
May 26 19:22:43 mnt kernel: sg_offset
May 26 19:22:43 mnt kernel: reply_size
May 26 19:22:43 mnt kernel: sg_offset
May 26 19:22:43 mnt kernel: reply_size


Expected Results:  No messages in /var/log/messages

Additional info:

Comment 1 Tom Coughlan 2005-05-27 13:39:36 UTC
Yes, we've seen them too. They are harmless left-over debug messages. 

This is planned to be fixed in U2.

Comment 8 Red Hat Bugzilla 2005-10-05 13:18:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.